EXECUTE (CREATE TABLE FINANCIAL_ACCOUNT (
     ACCOUNT_RK           NUMBER(10) NOT NULL,
     VALID_FROM_DTTM      DATE NOT NULL,
     ACCOUNT_ID           VARCHAR2(32) NOT NULL,
     SOURCE_SYSTEM_CD     VARCHAR2(3),
     ACCOUNT_REGISTRATION_NM VARCHAR2(100),
     ALTERNATE_ACCOUNT_NM VARCHAR2(40),
     FINANCIAL_ACCOUNT_TYPE_CD VARCHAR2(3) NOT NULL,
     ACCOUNT_REGISTRATION_TYPE_CD VARCHAR2(3),
     ACCOUNT_STATUS_CD    VARCHAR2(3),
     OPEN_DT              DATE,
     CLOSE_DT             DATE,
     CLOSE_REASON_CD      VARCHAR2(3),
     ACCOUNT_TAX_ID       VARCHAR2(32),
     EXPECTED_LOSS_PCT    NUMBER(9,4),
     INDIVIDUAL_ORGANIZATION_CD VARCHAR2(3),
     SOURCE_CD            VARCHAR2(5),
     OPENING_CHANNEL_CD   VARCHAR2(3),
     PREFERRED_CHANNEL_CD VARCHAR2(3),
     CURRENCY_CD          VARCHAR2(3),
     PRIMARY_PHONE_NO     VARCHAR2(20),
     PRIMARY_PHONE_TYPE_CD VARCHAR2(3),
     SECONDARY_PHONE_NO   VARCHAR2(20),
     SECONDARY_PHONE_TYPE_CD VARCHAR2(3),
     MAILABLE_FLG         VARCHAR2(1),
     TELEPHONABLE_FLG     VARCHAR2(1),
     EMAIL_FLG            VARCHAR2(1),
     SMS_FLG              VARCHAR2(1),
     DO_NOT_CONTACT_FLG   VARCHAR2(1),
     EMPLOYEE_RK          NUMBER(10),
     CURRENCY_BASED_ACCOUNT_FLG VARCHAR2(1),
     FEE_BASED_FLG        VARCHAR2(1),
     ANNUAL_FEES_AMT      NUMBER(18,5),
     MONTHLY_FEES_AMT     NUMBER(18,5),
     CAMPAIGN_CD          VARCHAR2(30),
     COMMUNICATION_CD     VARCHAR2(30),
     REGISTERED_ONLINE_DT DATE,
     FIRST_LOGIN_DT       DATE,
     ONLINE_BILL_PAYMENT_FLG VARCHAR2(1),
     ID_VERIFICATION_TYPE_CD VARCHAR2(3),
     PREVIOUS_ACCOUNT_ID  VARCHAR2(32),
     FUTURE_MARGIN_INCOME_AMT NUMBER(18,5),
     IN_DEFAULT_FLG       VARCHAR2(1),
     IRRECOVERABLE_FLG    VARCHAR2(1),
     PREVIOUS_BANK_EXTERNAL_ORG_RK NUMBER(10),
     NETTING_SET_RK       NUMBER(10),
     REVOLVING_FLG        VARCHAR2(1),
     SOURCE_CHANNEL_CD    VARCHAR2(3),
     GRACE_PERIOD_DAYS_CNT NUMBER(6),
     REMARGINING_DAYS_CNT NUMBER(6),
     FINANCIAL_CALENDAR_RK NUMBER(10),
     DAY_BASIS_CD         VARCHAR2(10),
     PORTFOLIO_ID         VARCHAR2(32),
     SECURITIZATION_POOL_RK NUMBER(10),
     ACCOUNT_USAGE_TYPE_CD VARCHAR2(3),
     RISK_ALARM_FLG       VARCHAR2(1),
     LOW_PROFITABILITY_FLG VARCHAR2(1),
     ACCOUNT_LIFECYCLE_STG_CD VARCHAR2(3),
     ATTRITION_ALARM_FLG  VARCHAR2(1),
     BALANCE_FROZEN_FLG   VARCHAR2(1),
     BALANCE_FROZEN_DT    DATE,
     ACCOUNT_BLOCK_REASON_CD VARCHAR2(3),
     TAXATION_STATE_CD    VARCHAR2(4),
     EFFECTIVE_MATURITY_YEAR_NO NUMBER(7,3),
     GL_ACCOUNT_RK        NUMBER(10),
     FROM_OTHER_INSTITUTION_FLG VARCHAR2(1),
     ACCOUNT_RENEWAL_CNT  NUMBER(6),
     BALANCE_TRANSFER_DT  DATE,
     BALANCE_TRANSFER_AMT NUMBER(18,5),
     BALANCE_TRANSFER_CNT NUMBER(6),
     BASE_LONG_TERM_APR_RT NUMBER(9,4),
     BROKER_FLG           VARCHAR2(1),
     MULT_RATE_FLG        VARCHAR2(1),
     AUTO_DEBIT_ACCOUNT_NO VARCHAR2(32),
     WORST_STATUS_LAST_12_MTH_CD VARCHAR2(3),
     WORST_STATUS_LAST_12_MTH_DT DATE,
     BALANCE_TRNSF_OTHER_ACCT_CNT NUMBER(6),
     EFFECTIVE_FROM_DTTM  DATE,
     EFFECTIVE_TO_DTTM    DATE,
     COUNTERPARTY_RK      NUMBER(10),
     INSURED_BY_COUNTERPARTY_RK NUMBER(10),
     STATEMENT_FREQUENCY_CD VARCHAR2(3),
     SECURITY_DEPOSIT_AMT NUMBER(18,5),
     SECURITY_DEPOSIT_REFUND_AMT NUMBER(18,5),
     FIRST_PAYMENT_DT     DATE,
     LAST_PAYMENT_DT      DATE,
     FIRST_RESET_DT       DATE,
     LAST_RESET_DT        DATE,
     PRINCIPAL_PAYMENT_TYPE_CD VARCHAR2(3),
     PRINCIPAL_PAYMENT_AMT NUMBER(18,5),
     RATE_POLICY_RK       NUMBER(10),
     CAPITAL_ALLOCATION_RK NUMBER(10),
     SPREAD_RT            NUMBER(9,4),
     DISCOUNT_SPREAD_RT   NUMBER(9,4),
     INITIAL_CONTRACT_RT  NUMBER(9,4),
     FIXED_MONTHLY_PREPAYMENT_RT NUMBER(9,4),
     FINANCIAL_FUND_RK    NUMBER(10),
     CAPITAL_COST_RK      NUMBER(10),
     QUANTO_FEATURE_RK    NUMBER(10),
     SEGMENT_RK           NUMBER(10),
     ANNUITY_PAYMENT_TYPE_CD VARCHAR2(3),
     ARREARS_PAYMENT_CD   VARCHAR2(3),
     AUTO_DEBIT_ACCOUNT_TYPE_CD VARCHAR2(3),
     CASH_INTENSIVE_BUSINESS_FLG VARCHAR2(1),
     CONVEXITY_ADJUSTMENT_FLG VARCHAR2(1),
     INTEREST_PAYMENT_TIME_FREQ_CD VARCHAR2(3),
     INTEREST_PAYMENT_TYPE_CD VARCHAR2(3),
     INTERNAL_REPORTING_CATEGORY_CD VARCHAR2(3),
     LETTER_OF_CREDIT_ONFILE_FLG VARCHAR2(1),
     RESETS_PER_ANNUM_NO  NUMBER(5),
     STATEMENT_OPT_FLG    VARCHAR2(1),
     TRADE_FINANCE_FLG    VARCHAR2(1),
     VALUE_SCALING_FACTOR_RT NUMBER(9,4),
     PREPMT_PSA_SPEED_RT  NUMBER(9,4),
     OWNED_BY_INTERNAL_ORG_RK NUMBER(10),
     CREDIT_FACILITY_RK   NUMBER(10),
     EXPENSE_ALLOCATION_RK NUMBER(10),
     FIRST_INTEREST_PAYMENT_DT DATE,
     HOLIDAY_DATE_ROLL_CONV_CD VARCHAR2(3),
     LAST_INTEREST_PAYMENT_DT DATE,
     LIQUIDITY_CATEGORY_TYPE_CD VARCHAR2(3),
     RECEIVABLES_POOL_RK  NUMBER(10),
     WEEKEND_DATE_ROLL_CONV_CD VARCHAR2(3),
     CIC_CD               VARCHAR2(4),
     UNWIND_TRIGGER_EVENT_TYPE_CD VARCHAR2(3),
     UNWIND_MAX_LOSS_AMT  NUMBER(18,5),
     PAYMENT_DAY_OF_MONTH_NO NUMBER(3),
     INT_PAYMENT_DAY_OF_MONTH_NO NUMBER(3),
     RESET_DAY_OF_MONTH_NO NUMBER(3),
     VALID_TO_DTTM        DATE NOT NULL,
     PROCESSED_DTTM       DATE NOT NULL,
     PRIMARY KEY (ACCOUNT_RK, VALID_FROM_DTTM)
)) BY ORACLE;

