CREATE TABLE &LIBREF..ACCOUNT_PERIOD_ASSOC (
     ACCOUNT_PERIOD_RK    NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Account Period Retained Surrogate Key',
     PARENT_ACCOUNT_PERIOD_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Parent Account Period Key',
     ACCOUNT_PERIOD_ASSOC_TYPE_CD VARCHAR(3) label='Account Period Association Type Code',
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid From Datetime',
     ORDER_NO             NUMERIC(5) FORMAT=5. INFORMAT=5. label='Account Period Sequence Number',
     LEVEL_NO             NUMERIC(5) FORMAT=5. INFORMAT=5. label='Level Number',
     LEVEL_DESC           VARCHAR(20) label='Level Description',
     BOTTOM_LEVEL_FLG     CHARACTER(1) label='Bottom Level Flag',
     LEVELS_FROM_TOP_NO   NUMERIC(5) FORMAT=5. INFORMAT=5. label='Levels From Top Number',
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid To Date time',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Date Time',
     CONSTRAINT PRIM_KEY PRIMARY KEY (ACCOUNT_PERIOD_RK, PARENT_ACCOUNT_PERIOD_RK,
      ACCOUNT_PERIOD_ASSOC_TYPE_CD, VALID_FROM_DTTM)
);

