CREATE TABLE &LIBREF..CEDED_LOSS (
     CEDED_LOSS_RK        NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Ceded Loss Retained Surrogate Key',
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid From Datetime',
     CEDED_LOSS_REFERENCE_ID VARCHAR(32) NOT NULL label='Ceded Loss Reference Identifier',
     CEDED_CASE_RESERVE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Ceded Case Reserve Amount',
     CEDED_LAE_CASE_RESERVE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Ceded Loss Expenses Estimated Amount',
     CEDED_PAID_LOSS_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Ceded Paid Loss Amount',
     CEDED_RECOVERY_AMT   NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Ceded Recovery Amount',
     CEDED_PAID_LAE_AMT   NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Ceded Paid LAE Amount',
     CEDED_LOSS_STATUS_CD VARCHAR(3) label='Ceded Loss Status Code',
     CEDED_LOSS_STATUS_REASON_CD VARCHAR(3) label='Ceded Loss Status Reason Code',
     CEDED_LOSS_STATUS_CHANGE_DT DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Ceded Loss Status Change Date',
     CEDED_LOSS_AMT_CHANGE_DTTM DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Ceded Loss Amount Change Datetime',
     ACCIDENT_YR          NUMERIC(4) FORMAT=4. INFORMAT=4. label='Accident Year',
     CLAIM_UNIT_RK        NUMERIC(10) NOT NULL FORMAT=&FMTRK INFORMAT=&FMTRK label='Claim Unit Retained Surrogate Key',
     RI_EXP_RK            NUMERIC(10) NOT NULL FORMAT=&FMTRK INFORMAT=&FMTRK label='Reinsurance Exposure Key',
     XL_LAYER_RK          NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='XL Layer Retained Surrogate Key',
     INCIDENT_RK          NUMERIC(10) NOT NULL FORMAT=&FMTRK INFORMAT=&FMTRK label='Incident Retained Surrogate Key',
     CATASTROPHE_RK       NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Catastrophe Retained Surrogate Key',
     LOB_RK               NUMERIC(10) NOT NULL FORMAT=&FMTRK INFORMAT=&FMTRK label='Line of Business Retained Surrogate Key',
     RI_CONTRACT_SECTION_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Reinsurance Contract Section Retained Surrogate Key',
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid To Date time',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Date Time',
     CONSTRAINT PRIM_KEY PRIMARY KEY (CEDED_LOSS_RK, VALID_FROM_DTTM)
);

