CREATE TABLE &LIBREF..REINSURANCE_CONTRACT_SECTION (
     RI_CONTRACT_SECTION_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Reinsurance Contract Section Retained Surrogate Key',
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid From Datetime',
     RI_CONTRACT_SECTION_ID VARCHAR(32) NOT NULL label='Reinsurance Contract Section Identifier',
     RI_CONTRACT_SECTION_NM VARCHAR(40) label='Reinsurance Contract Section Name',
     RI_CONTRACT_SECTION_DESC VARCHAR(100) label='Reinsurance Contract Section Description',
     LOSS_COVERAGE_BASIS_CD VARCHAR(3) label='Loss Coverage Basis Code',
     GROSS_RETENTION_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Gross Retention Amount',
     GROSS_RETENTION_PCT  NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Gross Retention Percent',
     RETENTION_BASIS_CD   VARCHAR(3) label='Retention Basis Code',
     STABILITY_CLAUSE_FLG CHARACTER(1) label='Stability Clause Flag',
     STABILITY_CLAUSE_TRIG_PCT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Stability Clause Trigger Percent',
     LAE_ALLOWED_IND      CHARACTER(1) label='LAE Allowed Indicator',
     ADJ_RECOVERY_IND     CHARACTER(1) label='Adjust Recoveries Indicator',
     MIN_PREM_AMT         NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Contract Section Minimum Premium Amount',
     DEP_PREM_AMT         NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Contract Section Deposit Premium Amount',
     GROSS_PREM_AMT       NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Gross Premium Amount',
     LIMIT_AMT            NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Limit Amount',
     LIMIT_PCT            NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Limit Percent',
     CAT_GUARANTEE_IND    CHARACTER(1) label='Catastrophe Guarantee Indicator',
     BASE_INDEX_CD        VARCHAR(10) label='Base Index Code',
     BASE_INDEX_RT        NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Base Index Rate',
     EFFECTIVE_DT         DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Effective Date',
     EXPIRATION_DT        DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Expiration Date',
     AGGR_DEDUCTIBLE_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Aggregate Deductible Amount',
     AGGR_DEDUCTIBLE_PCT  NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Aggregate Deductible Percent',
     MAX_COVER_PER_RISK_EVENT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Maximum Cover per Risk 
or Event',
     RI_CONTRACT_RK       NUMERIC(10) NOT NULL FORMAT=&FMTRK INFORMAT=&FMTRK label='Reinsurance Contract Retained Surrogate Key',
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid To Date time',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Date Time',
     CONSTRAINT PRIM_KEY PRIMARY KEY (RI_CONTRACT_SECTION_RK, VALID_FROM_DTTM)
);

