CREATE TABLE &LIBREF..SECURITIZATION_POOL (
     SECURITIZATION_POOL_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Securitization Pool Key',
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid From Date Time',
     SECURITIZATION_POOL_ID VARCHAR(32) label='Securitization Pool Identifier',
     SECURITIZ_STRUC_TYPE_CD VARCHAR(3) label='Securitization Substructure Type Code',
     SECURITIZ_STRUC_SUBTYPE_CD VARCHAR(3) label='Securitization Substructure Subtype Code',
     SECURITIZ_PRIM_BANK_ROLE_CD VARCHAR(3) label='Securitization Prime Bank Role Code',
     SECURITIZ_PRIM_TYPE_CD VARCHAR(3) label='Primary Pool Underlying Type Code',
     CLEAN_UP_CALL_TYPE_CD VARCHAR(3) label='Clean up Call Type Code',
     CLEAN_UP_CALL_HOLDER_FLG CHARACTER(1) label='Clean Up Call Holder Flag',
     CLEAN_UP_CALL_LEVEL_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Clean Up Call Level Amount',
     GAIN_ON_SALE_AMT     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Gain On Sale Amount',
     EARLY_AMORTIZATION_TYPE_CD VARCHAR(3) label='Early Amortization Type Code',
     LONGEST_MATURITY_DT  DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Longest Maturity Date',
     IMPLICIT_SUPPORT_FLG CHARACTER(1) label='Implicit Support Flag',
     AVG_3_MONTH_EXCESS_SPREAD_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Average 3 Month Excess Spread Amount',
     EXCESS_SPREAD_TRAP_POINT_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Excess Spread Trap Point Amount',
     POOL_FACE_VALUE_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Pool Face Value Amount',
     EFFECTIVE_NO_OF_EXPOSURES NUMERIC(10) FORMAT=10. INFORMAT=10. label='Effective Number of Exposures',
     TOTAL_TRANCHE_NO     NUMERIC(10) FORMAT=10. INFORMAT=10. label='Total Tranche Number',
     UNCOMM_RETAIL_REVOLV_FACE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Uncommon Retail Revolve Face Amount',
     COMM_RETAIL_REVOLV_FACE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Common Other Revolving Face Amount',
     UNCOMM_OTHER_REVOLV_FACE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Uncommon Other Revolve Face Amount',
     COMM_OTHER_REVOLV_FACE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Common Other Revolving Face Amount',
     WEIGHT_AVG_MATURITY_MONTHS_NO NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Weight Average Maturity Months Number',
     EFFECTIVE_FROM_DTTM  DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Effective From Date time',
     EFFECTIVE_TO_DTTM    DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Effective To Date time',
     K_IRB_RT             NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='IRB Ratio',
     WEIGHTED_AVG_LGD_PCT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Weighted Average Loss Given Default Percent',
     WEIGHTED_AVG_COUPON_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Weighted Average Coupon Rate',
     MAX_RISK_WEIGHT_PCT  NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Maximum Risk Weight Percent',
     MIN_RISK_WEIGHT_PCT  NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Minimum Risk Weight',
     AVG_RISK_WEIGHT_PCT  NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Average Risk Weight Percent',
     CRDT_ENHNC_INT_ONLY_STRIP_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Credit Enhancing Interest Only Strip Amount',
     INVESTORS_INTEREST_PCT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Investors Interest Percent',
     UNDERLYING_EXPOSURE_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label='Underlying Exposure Count',
     UNDERLYING_PRODUCT_TYPE_CD VARCHAR(3) label='Underlying Product Type Code',
     RESECURITIZATION_FLG CHARACTER(1) label='Resecuritization Flag',
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid To Date time',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Date Time',
     CONSTRAINT PRIM_KEY PRIMARY KEY (SECURITIZATION_POOL_RK, VALID_FROM_DTTM)
);

