EXECUTE (CREATE TABLE FINANCIAL_ACCOUNT (
     ACCOUNT_RK           NUMERIC(10)     NOT NULL,
     VALID_FROM_DTTM      TIMESTAMP     NOT NULL,
     ACCOUNT_ID           VARCHAR(32)     NOT NULL,
     SOURCE_SYSTEM_CD     VARCHAR(3),
     ACCOUNT_REGISTRATION_NM VARCHAR(100),
     ALTERNATE_ACCOUNT_NM VARCHAR(40),
     FINANCIAL_ACCOUNT_TYPE_CD VARCHAR(3)     NOT NULL,
     ACCOUNT_REGISTRATION_TYPE_CD VARCHAR(3),
     ACCOUNT_STATUS_CD    VARCHAR(3),
     OPEN_DT              DATE,
     CLOSE_DT             DATE,
     CLOSE_REASON_CD      VARCHAR(3),
     ACCOUNT_TAX_ID       VARCHAR(32),
     EXPECTED_LOSS_PCT    NUMERIC(9,4),
     INDIVIDUAL_ORGANIZATION_CD VARCHAR(3),
     SOURCE_CD            VARCHAR(5),
     OPENING_CHANNEL_CD   VARCHAR(3),
     PREFERRED_CHANNEL_CD VARCHAR(3),
     CURRENCY_CD          VARCHAR(3),
     PRIMARY_PHONE_NO     VARCHAR(20),
     PRIMARY_PHONE_TYPE_CD VARCHAR(3),
     SECONDARY_PHONE_NO   VARCHAR(20),
     SECONDARY_PHONE_TYPE_CD VARCHAR(3),
     MAILABLE_FLG         CHARACTER(1),
     TELEPHONABLE_FLG     CHARACTER(1),
     EMAIL_FLG            CHARACTER(1),
     SMS_FLG              CHARACTER(1),
     DO_NOT_CONTACT_FLG   CHARACTER(1),
     EMPLOYEE_RK          NUMERIC(10),
     CURRENCY_BASED_ACCOUNT_FLG CHARACTER(1),
     FEE_BASED_FLG        CHARACTER(1),
     ANNUAL_FEES_AMT      NUMERIC(18,5),
     MONTHLY_FEES_AMT     NUMERIC(18,5),
     CAMPAIGN_CD          VARCHAR(30),
     COMMUNICATION_CD     VARCHAR(30),
     REGISTERED_ONLINE_DT DATE,
     FIRST_LOGIN_DT       DATE,
     ONLINE_BILL_PAYMENT_FLG CHARACTER(1),
     ID_VERIFICATION_TYPE_CD VARCHAR(3),
     PREVIOUS_ACCOUNT_ID  VARCHAR(32),
     FUTURE_MARGIN_INCOME_AMT NUMERIC(18,5),
     IN_DEFAULT_FLG       CHARACTER(1),
     IRRECOVERABLE_FLG    CHARACTER(1),
     PREVIOUS_BANK_EXTERNAL_ORG_RK NUMERIC(10),
     NETTING_SET_RK       NUMERIC(10),
     REVOLVING_FLG        CHARACTER(1),
     SOURCE_CHANNEL_CD    VARCHAR(3),
     GRACE_PERIOD_DAYS_CNT NUMERIC(6),
     REMARGINING_DAYS_CNT NUMERIC(6),
     FINANCIAL_CALENDAR_RK NUMERIC(10),
     DAY_BASIS_CD         VARCHAR(10),
     PORTFOLIO_ID         VARCHAR(32),
     SECURITIZATION_POOL_RK NUMERIC(10),
     ACCOUNT_USAGE_TYPE_CD VARCHAR(3),
     RISK_ALARM_FLG       CHARACTER(1),
     LOW_PROFITABILITY_FLG CHARACTER(1),
     ACCOUNT_LIFECYCLE_STG_CD VARCHAR(3),
     ATTRITION_ALARM_FLG  CHARACTER(1),
     BALANCE_FROZEN_FLG   CHARACTER(1),
     BALANCE_FROZEN_DT    DATE,
     ACCOUNT_BLOCK_REASON_CD VARCHAR(3),
     TAXATION_STATE_CD    VARCHAR(4),
     EFFECTIVE_MATURITY_YEAR_NO NUMERIC(7,3),
     GL_ACCOUNT_RK        NUMERIC(10),
     FROM_OTHER_INSTITUTION_FLG CHARACTER(1),
     ACCOUNT_RENEWAL_CNT  NUMERIC(6),
     BALANCE_TRANSFER_DT  DATE,
     BALANCE_TRANSFER_AMT NUMERIC(18,5),
     BALANCE_TRANSFER_CNT NUMERIC(6),
     BASE_LONG_TERM_APR_RT NUMERIC(9,4),
     BROKER_FLG           CHARACTER(1),
     MULT_RATE_FLG        CHARACTER(1),
     AUTO_DEBIT_ACCOUNT_NO VARCHAR(32),
     WORST_STATUS_LAST_12_MTH_CD VARCHAR(3),
     WORST_STATUS_LAST_12_MTH_DT DATE,
     BALANCE_TRNSF_OTHER_ACCT_CNT NUMERIC(6),
     EFFECTIVE_FROM_DTTM  TIMESTAMP,
     EFFECTIVE_TO_DTTM    TIMESTAMP,
     COUNTERPARTY_RK      NUMERIC(10),
     INSURED_BY_COUNTERPARTY_RK NUMERIC(10),
     STATEMENT_FREQUENCY_CD VARCHAR(3),
     SECURITY_DEPOSIT_AMT NUMERIC(18,5),
     SECURITY_DEPOSIT_REFUND_AMT NUMERIC(18,5),
     FIRST_PAYMENT_DT     DATE,
     LAST_PAYMENT_DT      DATE,
     FIRST_RESET_DT       DATE,
     LAST_RESET_DT        DATE,
     PRINCIPAL_PAYMENT_TYPE_CD VARCHAR(3),
     PRINCIPAL_PAYMENT_AMT NUMERIC(18,5),
     RATE_POLICY_RK       NUMERIC(10),
     CAPITAL_ALLOCATION_RK NUMERIC(10),
     SPREAD_RT            NUMERIC(9,4),
     DISCOUNT_SPREAD_RT   NUMERIC(9,4),
     INITIAL_CONTRACT_RT  NUMERIC(9,4),
     FIXED_MONTHLY_PREPAYMENT_RT NUMERIC(9,4),
     FINANCIAL_FUND_RK    NUMERIC(10),
     CAPITAL_COST_RK      NUMERIC(10),
     QUANTO_FEATURE_RK    NUMERIC(10),
     SEGMENT_RK           NUMERIC(10),
     ANNUITY_PAYMENT_TYPE_CD VARCHAR(3),
     ARREARS_PAYMENT_CD   VARCHAR(3),
     AUTO_DEBIT_ACCOUNT_TYPE_CD VARCHAR(3),
     CASH_INTENSIVE_BUSINESS_FLG CHARACTER(1),
     CONVEXITY_ADJUSTMENT_FLG CHARACTER(1),
     INTEREST_PAYMENT_TIME_FREQ_CD VARCHAR(3),
     INTEREST_PAYMENT_TYPE_CD VARCHAR(3),
     INTERNAL_REPORTING_CATEGORY_CD VARCHAR(3),
     LETTER_OF_CREDIT_ONFILE_FLG CHARACTER(1),
     RESETS_PER_ANNUM_NO  NUMERIC(5),
     STATEMENT_OPT_FLG    CHARACTER(1),
     TRADE_FINANCE_FLG    CHARACTER(1),
     VALUE_SCALING_FACTOR_RT NUMERIC(9,4),
     PREPMT_PSA_SPEED_RT  NUMERIC(9,4),
     OWNED_BY_INTERNAL_ORG_RK NUMERIC(10),
     CREDIT_FACILITY_RK   NUMERIC(10),
     EXPENSE_ALLOCATION_RK NUMERIC(10),
     FIRST_INTEREST_PAYMENT_DT DATE,
     HOLIDAY_DATE_ROLL_CONV_CD VARCHAR(3),
     LAST_INTEREST_PAYMENT_DT DATE,
     LIQUIDITY_CATEGORY_TYPE_CD VARCHAR(3),
     RECEIVABLES_POOL_RK  NUMERIC(10),
     WEEKEND_DATE_ROLL_CONV_CD VARCHAR(3),
     CIC_CD               VARCHAR(4),
     UNWIND_TRIGGER_EVENT_TYPE_CD VARCHAR(3),
     UNWIND_MAX_LOSS_AMT  NUMERIC(18,5),
     PAYMENT_DAY_OF_MONTH_NO NUMERIC(3),
     INT_PAYMENT_DAY_OF_MONTH_NO NUMERIC(3),
     RESET_DAY_OF_MONTH_NO NUMERIC(3),
     VALID_TO_DTTM        TIMESTAMP     NOT NULL,
     PROCESSED_DTTM       TIMESTAMP     NOT NULL)
     PRIMARY INDEX FINANCIAL_ACCOUNT_PI (ACCOUNT_RK)
) BY TERADATA;

