EXECUTE (CREATE TABLE FINANCIAL_POSITION (
     FINANCIAL_POSITION_RK NUMERIC(10)     NOT NULL,
     VALID_FROM_DTTM      TIMESTAMP     NOT NULL,
     FINANCIAL_INSTRUMENT_RK NUMERIC(10),
     VALID_TO_DTTM        TIMESTAMP     NOT NULL,
     FINANCIAL_POSITION_ID VARCHAR(32)     NOT NULL,
     TOTAL_LIMIT_AMT      NUMERIC(18,5),
     MOST_RECENT_DEAL_DTTM TIMESTAMP,
     SOURCE_SYSTEM_CD     VARCHAR(3),
     MOST_RECENT_DEAL_AMT NUMERIC(18,5),
     CURRENCY_CD          VARCHAR(3),
     EFFECTIVE_FROM_DT    DATE,
     EXPIRATION_DT        DATE,
     FINANCIAL_POSITION_STATUS_CD VARCHAR(3),
     HOLDINGS_NO          NUMERIC(18,5),
     BUY_PRICE_AMT        NUMERIC(18,5),
     SELL_PRICE_AMT       NUMERIC(18,5),
     POSITION_PAYMENT_LEG_CD VARCHAR(3),
     PORTFOLIO_ID         VARCHAR(32),
     COUNTERPARTY_RK      NUMERIC(10),
     CUSTODIAN_COUNTERPARTY_RK NUMERIC(10),
     OWNED_BY_INTERNAL_ORG_RK NUMERIC(10),
     NETTING_SET_RK       NUMERIC(10),
     FINANCIAL_POSITION_TYPE_CD VARCHAR(5),
     EQUITY_IN_LEG_PROGRAM_FLG CHARACTER(1),
     OFF_BALANCE_SHEET_TYPE_CD VARCHAR(3),
     SECURITIZATION_POOL_RK NUMERIC(10),
     GL_ACCOUNT_RK        NUMERIC(10),
     EQUITY_POSITION_TYPE_CD VARCHAR(3),
     EFFECTIVE_FROM_DTTM  TIMESTAMP,
     EFFECTIVE_TO_DTTM    TIMESTAMP,
     EXPOSURE_AT_DEFAULT_AMT NUMERIC(18,5),
     ADJUSTMENT_TO_EXPOSURE_AMT NUMERIC(18,5),
     SEGMENT_RK           NUMERIC(10),
     CONTRACT_DELIVERY_DT DATE,
     REPO_TRANSACTION_FLG CHARACTER(1),
     FINANCIAL_FUND_RK    NUMERIC(10),
     PHYSICAL_ASSET_RK    NUMERIC(10),
     CAPITAL_ALLOCATION_RK NUMERIC(10),
     CAPITAL_COST_RK      NUMERIC(10),
     MARGIN_AGREEMENT_RK  NUMERIC(10),
     CREDIT_FACILITY_RK   NUMERIC(10),
     EXPENSE_ALLOCATION_RK NUMERIC(10),
     FINANCIAL_POSITION_ROLE_CD VARCHAR(3),
     LIQUIDITY_CATEGORY_TYPE_CD VARCHAR(3),
     CONCENTRATION_RSK_FLG CHARACTER(1),
     LIQUIDITY_HORIZON_MONTH_CNT NUMERIC(6),
     RECEIVABLES_POOL_RK  NUMERIC(10),
     UNENCUMBERED_FLG     CHARACTER(1),
     PROCESSED_DTTM       TIMESTAMP     NOT NULL)
     PRIMARY INDEX FINANCIAL_POSITION_PI (FINANCIAL_POSITION_RK)
) BY TERADATA;

